Bug 1012387 - Unable to perform post install configuration via console installation
Unable to perform post install configuration via console installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 07:45 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:12:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-26 07:45:40 EDT
Description of problem:
 I am unable to perform any post install configuration via console installation.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

Steps to Reproduce:
 1. Start console installation, use default values until you reach Post-Install Configuration.
 2. Choose to Perform additional post-install configuration. 
 3. Choose to Add a security domain.
 4. Use default values for Security-Domain Configuration and try to finish the installation.

Actual results:
 Post Processing Error
 Invocation Problem calling : com.redhat.installer.postinstall.PostInstallation, java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at com.izforge.izpack.installer.ProcessPanelWorker$ExecutableClass.run(ProcessPanelWorker.java:760)
	at com.izforge.izpack.installer.ProcessPanelWorker$ProcessingJob.run(ProcessPanelWorker.java:516)
	at com.izforge.izpack.installer.ProcessPanelWorker.runJob(ProcessPanelWorker.java:462)
	at com.izforge.izpack.installer.ProcessPanelWorker.run(ProcessPanelWorker.java:388)
	at com.izforge.izpack.panels.ProcessPanelConsoleHelper.runConsole(ProcessPanelConsoleHelper.java:126)
	at com.izforge.izpack.installer.ConsoleInstaller.iterateAndPerformAction(ConsoleInstaller.java:278)
	at com.izforge.izpack.installer.ConsoleInstaller.doInstall(ConsoleInstaller.java:602)
	at com.izforge.izpack.installer.ConsoleInstaller.run(ConsoleInstaller.java:739)
	at com.izforge.izpack.installer.Installer.main(Installer.java:139)
 Caused by: java.lang.NullPointerException
	at com.redhat.installer.postinstall.PostInstallation.init(PostInstallation.java:285)
	at com.redhat.installer.postinstall.PostInstallation.run(PostInstallation.java:157)
	... 13 more

Expected results:
 Post install configuration will finish without any exception.
Comment 1 Miles Tjandrawidjaja 2013-09-26 10:20:57 EDT
Issue has been fixed, stated NPE should no longer occur.
http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=af56b04bc467ebee02cde7d9e934578ac838dec8
Comment 2 Petr Kremensky 2013-10-07 06:57:52 EDT
Verified on EAP 6.2.0.ER4 installer.

Note You need to log in before you can comment on or make changes to this bug.